--- Makefile.orig	2009-03-06 09:03:41.189028082 +0100
+++ Makefile	2009-03-06 09:08:37.087015943 +0100
@@ -25,6 +25,14 @@ TAG:=`date +s%Y%m%d`
 
 all: $(TARGETS)
 
+install:
+	for f in $(TARGETS); do						\
+		if [ "$$f" = "ping" -o "$$f" = "ping6" ]; then		\
+			install -D -m4755 $$f $(DESTDIR)/sbin/$$f;	\
+		else							\
+			install -D -m755 $$f $(DESTDIR)/sbin/$$f;	\
+		fi;							\
+	done
 
 tftpd: tftpd.o tftpsubs.o
 ping: ping.o ping_common.o
